View Issue Details

IDProjectCategoryView StatusLast Update
0000040Slicer3MRMLpublic2017-06-10 08:51
ReporterhayesAssigned Toalexy 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
PlatformLinux 64OSOS Version
Summary0000040: Blank popup message box when loading tutorial.xml
Description

When loading tutorial.xml in Slicer3, you get a pop-up message box that contains no text, just the "OK" button. Clicking on the OK button makes the box disappear. The tutorial dataset seems fine otherwise.

Additional Information

made the error code to be 0 when loading slicer2 scene.

TagsNo tags attached.

Relationships

related to 0000027 closedalexy Loading /d/bigsur/slicerdata/gynnulli/gynnulli.xml crashes Slicer3 
related to 0000028 closedalexy Loading /d/bigsur/slicerdata/avm/avm_reg1.xml crashes Slicer3 

Activities

pieper

pieper

2007-03-27 09:10

administrator   ~0000065

I see this too - it seems to be caused by the vtkSlicerApplicationGUI around line 300 where the MRMLScene is being asked for an error code, but the error string is empty.

Alex - can you fix this? Probably the error code on the scene should actually be zero at this point since there's no error to report.

Related Changesets

Import 2017-06-07 23:51:09: master 032f304c

2014-04-01 18:55:44

jcfr

Details Diff
ENH: Update CTKAppLauncher version to 0.1.12

$ git shortlog v0.1.11..v0.1.12 --no-merges
Jean-Christophe Fillion-Robin (7):
Begin post-0.1.11 development
Fix checkout "hang" updating dashboard driver script to use git url
Upload packages on "http://packages.kitware.com". Fixes 0000040
Fix typo in driver script "Additionnal" -> "Additional"
Download driver script from github
Better name for Midas packages credential file
CTKAppLauncher 0.1.12

Matthew Woehlke (24):
BUG: Fix ctkAppLauncherConfigure dependencies
BUG: "Fix" creation of launcher executable
BUG: Don't add '.' to PATH, LD_LIBRARY_PATH, etc.
STYLE: Refactor platform conditionals
STYLE: Simplify building path lists
ENH: Support additional path list envvars
BUG: Don't add '.' to paths via wrapper script
STYLE: Make ctkAppLauncherConfigure a function
ENH: Add --launcher-show-set-environment-commands
BUG: Fix quoting of environment variables
STYLE: Avoid gratuitous stack variables
BUG: Make environment commands actually work
BUG: Fix problem when no extra paths set
ENH: Copy CMake helper scripts to build directory
ENH: Add ctkAppLauncherConfigure test
ENH: 'Interesting' ctkAppLauncherConfigure tests
BUG: Resolve test failures
ENH: Add unit tests for additional paths feature
BUG: Work around CTest quirk than can break test
COMP: Fix build against Qt < 4.8
BUG: Fix unit tests single/multi-configuration
BUG: Fix App4ConfigureLauncherTest-ConfigureStep
BUG: Fix TestLauncherVerbose test
BUG: Correctly fix tests on Windows

git-svn-id: http://svn.slicer.org/Slicer4/trunk@23035 3bd1e089-480b-0410-8dfb-8563597acbee
mod - SuperBuild/External_CTKAPPLAUNCHER.cmake Diff File

Issue History

Date Modified Username Field Change
2007-02-12 13:18 hayes New Issue
2007-02-12 13:52 hayes Relationship added related to 0000027
2007-02-12 13:54 hayes Relationship added related to 0000028
2007-03-27 09:10 pieper Note Added: 0000065
2007-03-27 09:10 pieper Assigned To => alexy
2007-03-27 09:10 pieper Status new => confirmed
2007-04-02 08:00 alexy Status confirmed => resolved
2007-04-02 08:00 alexy Resolution open => fixed
2007-04-02 08:00 alexy Additional Information Updated
2007-04-02 11:07 hayes Status resolved => closed
2017-06-10 08:51 jcfr Changeset attached => Slicer master 032f304c